Bug 201480 - Review Request: perl-DateTime-Format-Builder
Review Request: perl-DateTime-Format-Builder
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/DateTime-...
:
Depends On: 201476 201477 201478 201479
Blocks: FE-ACCEPT 201481
  Show dependency treegraph
 
Reported: 2006-08-05 20:15 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 18:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-05 20:15:54 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-Builder-0.7807-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-Builder.spec

Description:
DateTime::Format::Builder creates DateTime parsers. Many string formats of
dates and times are simple and just require a basic regular expression to
extract the relevant information. Builder provides a simple way to do this
without writing reams of structural code.

Builder provides a number of methods, most of which you'll never need, or at
least rarely need. They're provided more for exposing of the module's innards
to any subclasses, or for when you need to do something slightly beyond what
is expected.
Comment 1 Patrice Dumas 2006-08-08 08:10:34 EDT
For tests, missing BR:
perl(Test::Pod) perl(Test::More) 
maybe
perl(DTFB::OnFailTest) perl(DTFB::Quick)

maybe Params::Validate => 0.72
since it is in Build.PL, but is it required for build? I guess so
for tests?

README and LICENCE missing from %doc
Comment 2 Chris Weyl 2006-08-08 11:19:26 EDT
BR's and %doc updated; perl(DTFB::*) are actually packages defined in and as
part of the test suites, so they were not included.

SRPM URL:
http://home.comcast.net/~ckweyl/perl-DateTime-Format-Builder-0.7807-2.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-Builder.spec
Comment 3 Patrice Dumas 2006-08-08 15:10:26 EDT
* rpmlint is silent
* package named according to guidelines
* free software, licences included
* meets packaging guidelines
* spec legible
* source match upstream
4f6ee670cab944db0492e70ca8df3be3  ./DateTime-Format-Builder-0.7807.tar.gz
* sane provides
Provides: perl(DateTime::Format::Builder) = 0.7807
perl(DateTime::Format::Builder::Parser) = 0.77
perl(DateTime::Format::Builder::Parser::Dispatch) = 0.78
perl(DateTime::Format::Builder::Parser::Quick) = 0.77
perl(DateTime::Format::Builder::Parser::Regex) = 0.77
perl(DateTime::Format::Builder::Parser::Strptime) = 0.77
perl(DateTime::Format::Builder::Parser::generic) = 0.77
* %files section right

APPROVED
Comment 4 Patrice Dumas 2006-08-08 15:16:12 EDT
You could add a comment to 

mv LICENCE LICENSE

And 
perl -pi -e 's/E<copy>/(C)/' `find lib/ -type f`
could be more classically something along
find lib/ -type f -exec sed -i -e 's/E<copy>/(C)/' {} \;
but it is a perl module, so there is more than one way
to do it ;-)
Comment 5 Chris Weyl 2006-08-08 18:07:22 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching 
+Close bug

Thanks for the review!

(In reply to comment #4)
> perl -pi -e 's/E<copy>/(C)/' `find lib/ -type f`
> could be more classically something along
> find lib/ -type f -exec sed -i -e 's/E<copy>/(C)/' {} \;
> but it is a perl module, so there is more than one way
> to do it ;-)

TMTOWTDI, even outside perl :)

Note You need to log in before you can comment on or make changes to this bug.